MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027121Open CASCADE[OCCT] OCCT:Configurationpublic2016-01-28 14:452016-04-20 15:50
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027121: Configuration, CMake - build process does not use patched header files
DescriptionIt is possible to introduce patches to Open CASCADE Technology not affecting the original source distribution.
CMake variable BUILD_PATCH is used for that.
It points to the directory recognized as a "patch" for OCCT.
If specified, the files from this directory take precedence over the corresponding native OCCT sources.

At the moment building process does not use patched header files.

For example we have patch of file Aspect_AspectLine.hxx in directory D:/patch/src/Aspect.
CMake configuration process creates linked header file ${CMAKE_BINARY_DIR}/inc/Aspect_AspectLine.hxx which contains next line:

#include "D:/occt/src/Aspect/Aspect_AspectLine.hxx"

but it should contains: #include "D:/patch/src/Aspect/Aspect_AspectLine.hxx"
Steps To Reproduce1) Create patch for any header file of occt
2) Configure and generate solution with using BUILD_PATCH variable
3) Open solution by MSVC and make sure that patched header file in used (in Solution tab and during build process.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0050195)
git (administrator)
2016-01-28 14:49

Branch CR27121 has been created by ski.

SHA-1: 0b123cf98a059c7168d3b818798237f8692bfff7


Detailed log of new commits:

Author: ski
Date: Thu Jan 28 14:49:00 2016 +0300

    Small correction of documentation about CMake configuration process

Author: ski
Date: Thu Jan 28 14:48:07 2016 +0300

    0027121: Configuration, CMake - build process does not use patched header files
    
    Corrected collecting of all headers to <binary dir>/inc folder
(0050199)
git (administrator)
2016-01-28 15:45

Branch CR27121 has been updated forcibly by ski.

SHA-1: 797b74ede26cbcb9bf839875c90e68080e3f8a45
(0050200)
ski (developer)
2016-01-28 16:06

Product branch CR27121 was created.

It contains the same changes as in occt branch CR27121.
(0050278)
ski (developer)
2016-02-01 12:44

OCCT branch CR27121 and PRODUCTS branch CR27121 were created.

Please, review.
(0050279)
git (administrator)
2016-02-01 12:45

Branch CR27121 has been updated forcibly by ski.

SHA-1: 4d9043c902defb684f7356f88a268a19951b3f9b
(0050379)
ibs (developer)
2016-02-03 13:54
edited on: 2016-02-03 15:12

dear bugmaster,
there is no any remark. please integrate

(0052842)
git (administrator)
2016-04-17 13:18

Branch CR27121 has been deleted by kgv.

SHA-1: 4d9043c902defb684f7356f88a268a19951b3f9b

- Related Changesets
occt: master f1d057b7
Timestamp: 2016-01-28 11:48:07
Author: ski
Committer: bugmaster
Details ] Diff ]
0027121: Configuration, CMake - build process does not use patched header files

Corrected collecting of all headers to <binary dir>/inc folder

Small correction of documentation about CMake configuration process
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-28 14:45 ski New Issue
2016-01-28 14:45 ski Assigned To => ski
2016-01-28 14:45 ski Status new => assigned
2016-01-28 14:49 git Note Added: 0050195
2016-01-28 15:45 git Note Added: 0050199
2016-01-28 16:06 ski Note Added: 0050200
2016-02-01 12:44 ski Note Added: 0050278
2016-02-01 12:44 ski Assigned To ski => ibs
2016-02-01 12:44 ski Status assigned => resolved
2016-02-01 12:45 git Note Added: 0050279
2016-02-03 13:54 ibs Note Added: 0050379
2016-02-03 13:54 ibs Assigned To ibs => bugmaster
2016-02-03 13:54 ibs Status resolved => reviewed
2016-02-03 14:07 abv Target Version 7.1.0 => 7.0.0
2016-02-03 14:55 bugmaster Status reviewed => tested
2016-02-03 15:12 ibs Note Edited: 0050379 View Revisions
2016-02-05 12:49 bugmaster Changeset attached => occt master f1d057b7
2016-02-05 12:49 bugmaster Status tested => verified
2016-02-05 12:49 bugmaster Resolution open => fixed
2016-04-17 13:18 git Note Added: 0052842
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker